package ibase.dashboard.mfg.ejb;
import ibase.webitm.ejb.ValidatorRemote;
import ibase.webitm.utility.ITMException;

import java.rmi.RemoteException;
import java.util.HashMap;
import java.util.List;

import javax.ejb.Remote;

@Remote
public interface ProductionVsBudgetReportRemote  extends ValidatorRemote
{

	public String  getProductionBudget(String frmDate,String toDate,String geoLoc,String unitForm) throws RemoteException, ITMException;
	public String  getGeoLoCodeXmlData() throws RemoteException, ITMException;
	public String  getUnitFormXmlData() throws RemoteException, ITMException;
	public boolean getRoleValid(String userCode, String roleCode) throws RemoteException, ITMException;
	public String    generatePDF(HashMap<String, List<String>> hashMap ,String exportPDFPath,String exportImagePath,String preyearMonth,String rptTitle,String userID,HashMap<String,List<String>> chartNameMap,HashMap<String, String> cntryIdNDescrMap) throws RemoteException, ITMException;
	 
}
